<?php
/*
Plugin Name: Global iTMS Links
Plugin URI: http://itms.whyeye.org
Description: This plugin strips the country code from links to releases on the iTunes Music Store
Version: 0.1.2
Author: Jan T. Sott
Author URI: http://whyeye.org
License: GPLv2 
*/

/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

add_filter('the_content', 'filter_itms_on_view');

function filter_itms_on_view($content) {
	
	$pattern = '/http:\/\/itunes.apple.com\/(?:\w{2})\/(?:album|music-video|artist|podcast|preorder)\/(?:[A-Za-z0-9-_]+)\/(?:[A-Za-z0-9-_]+)/i';
	preg_match_all($pattern, $content, $matches);
		
	if ($matches[0]) {
		foreach($matches[0] as $match) {		
			$pattern = '/http:\/\/itunes.apple.com\/(\w{2})\//i';
			$content = preg_replace($pattern, 'http://itunes.apple.com/', $content);
		}
	}
	return $content;
}

?>